#
# spec file for package yast2-hana-update
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-hana-update
Version:        1.2.1
Release:        1.93
%if 0%{?sle_version} >= 150000
ExclusiveArch:  x86_64 ppc64le
%else
BuildArch:      noarch
%endif

Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc

Requires:       yast2
Requires:       yast2-ruby-bindings
# for opening URLs
Requires:       xdg-utils
# for handling the SSH client
Requires:       SAPHanaSR
Requires:       crmsh
Requires:       expect
Requires:       openssh
Requires:       resource-agents

BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-packager
BuildRequires:  yast2-ruby-bindings
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)

Summary:        SUSE HANA Cluster Update
License:        GPL-2.0-only
Group:          System/YaST
Url:            http://www.suse.com

%description
A YaST2 module to update SAP HANA software within a SUSE Cluster

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%build

%install
mkdir -p %{buildroot}%{yast_dir}/data/hana_update/
mkdir -p %{buildroot}%{yast_vardir}/hana_update/
mkdir -p %{yast_scrconfdir}

rake install DESTDIR="%{buildroot}"
# wizard help files
install -m 644 data/*.html %{buildroot}%{yast_dir}/data/hana_update/
# ruby templates
install -m 644 data/*.erb %{buildroot}%{yast_dir}/data/hana_update/
# SSH invocation wrapper
install -m 755 data/check_ssh.expect %{buildroot}%{yast_dir}/data/hana_update/

%files
%defattr(-,root,root)
%doc %yast_docdir
%yast_desktopdir
%yast_clientdir
%yast_libdir
%{yast_dir}/data/hana_update/
%{yast_vardir}/hana_update/

%changelog
* Wed Dec 11 2019 varkoly@suse.com
- Version 1.2.1;
- bsc#1158843 hana-*: Broken gettext support
* Tue Jun  5 2018 imanyugin@suse.com
- Version 1.2.0;
- Adjust the module's workflow to the SAP HANA's Near-Zero Downtime
    Upgrade guide;
* Mon Feb 19 2018 imanyugin@suse.com
- Version 1.1.1;
- Fix bsc#1066946: any NFS path is accepted (reopened);
- Adjust maintenance procedure to include STONITH disable action;
* Thu Nov  9 2017 imanyugin@suse.com
- Version 1.1.0;
- Fix bsc#1066975: module leaves cluster resources in maintenance mode;
- Fix bsc#1066946: any NFS path is accepted;
- Fix bsc#1066935: module crashes when cluster has no vIP configured;
* Thu Oct 19 2017 imanyugin@suse.com
- Version 1.0.0;
- Initial release, fate#320368, bsc#1064732;
